<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>HRIS Attendance Request </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_request::sidebar_request" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Attendance Request
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <div class="card shadow-sm border">
                    <div class="card-header">
                        <span>Form</span>
                    </div>
                    <div class="card-body">
                        <div class="alert alert-danger ur" th:if="${gagalfile != null}">
                            <h4>Save Data Unsuccesfully!</h4>

                            <p th:text="${gagalfile}"></p>
                        </div>

                        <div class="alert alert-danger ur" th:if="${lebih != null}">
                            <h4>Save Data Unsuccesfully!</h4>

                            <p>Request anda melebihi sisa kuota cuti yang anda miliki.</p>
                        </div>

                        <div class="alert alert-danger ur" th:if="${fatal != null}">
                            <h4>Save Data Unsuccesfully!</h4>

                            <p th:text="${fatal}">Request anda melebihi sisa kuota cuti yang anda miliki.</p>
                        </div>

                        <div class="form-group">
                            <label class="control-label">Date:</label>
                            <div class="col-sm-12">
                                <input type="date" class="form-control pull-right" id="tanggalString1" name="tanggalString1" placeholder="dd-mm-yyyy" onkeyup="isiTanggal()" onchange="isiTanggal()">
                            </div>
                        </div>

                        <br>
                        <form class="form-horizontal" th:action="@{/request/attendance/save(employes=${employes.id})}" th:object="${attendanceRequest}" method="post" enctype="multipart/form-data">
                            <input type="hidden" id="idEmployee" name="idEmployee" th:value="${employes.getId()}">

                            <input type="hidden" id="tanggalString" name="tanggalString" class="form-control ts" th:field="*{tanggalString}" >

                            <p th:if="${#fields.hasErrors('tanggalString')}" th:errors="*{tanggalString}" class="text-danger"> Mata Anggaran Error</p>

                            <div class="alert alert-success ar">

                            </div>

                            <!--                        <div class="form-group">-->
                            <!--                            <label for="jamMasuk" class="col-sm-2 control-label">Masuk</label>-->

                            <!--                            <div class="col-sm-10">-->
                            <!--                                <input type="text" class="form-control" th:field="*{jamMasuk}" name="jamMasuk" id="jamMasuk" placeholder="00:00">-->
                            <!--                                <p th:if="${#fields.hasErrors('jamMasuk')}" th:errors="*{jamMasuk}" class="text-danger"> Mata Anggaran Error</p>-->
                            <!--                            </div>-->
                            <!--                        </div>-->

                            <div class="form-group te">
                                <label for="jamMasukString" class="control-label te">In</label>

                                <div class="col-sm-12">
                                    <div class="input-group">
                                        <input type="time" class="form-control timepicker" th:field="*{jamMasukString}" name="jamMasukString" id="jamMasukString">
                                    </div>
                                    <p th:if="${#fields.hasErrors('jamMasukString')}" th:errors="*{jamMasukString}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>

                            <div class="form-group te">
                                <label for="jamKeluarString" class="control-label te">Out</label>

                                <div class="col-sm-12">
                                    <div class="input-group">
                                        <input type="time" class="form-control timepicker" th:field="*{jamKeluarString}" name="jamKeluarString" id="jamKeluarString">
                                    </div>
                                    <p th:if="${#fields.hasErrors('jamKeluarString')}" th:errors="*{jamKeluarString}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="keterangan" class="control-label te">Desciptions:</label>
                                <div class="col-sm-12">
                                    <textarea class="form-control te" th:field="*{keterangan}" name="keterangan" id="keterangan" rows="3" placeholder="Descriptions"></textarea>
                                    <p th:if="${#fields.hasErrors('keterangan')}" th:errors="*{keterangan}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="fileUpload" class="control-label te">Evidence:</label>

                                <div class="col-sm-12">
                                    <input type="file" name="fileUpload" id="fileUpload" class="form-control te" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                                    <!--                                    <p class="help-block te">Compulsory to Upload the Evidence.</p>-->

                                    <p th:if="${fatal != null}" th:text="${fatal}" class="text-danger"> Mata Anggaran Error</p>
                                </div>
                            </div>

                            <input type="hidden" name="id" th:field="*{id}">
                            <input type="hidden" name="file" th:field="*{file}">
                    </div>
                    <div class="card-footer">
                        <a th:href="@{/request/attendance}" class="btn btn-secondary ta">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right su" id="simpan">Save</button>
                    </div>
                    </form>
                </div>
            </div>
        </div>

    </main>

    <script>
        document.addEventListener('DOMContentLoaded', function () {
            var formGroups = document.querySelectorAll('.te');
            var ur = document.querySelectorAll('.ur');
            var ar = document.querySelectorAll('.ar');

            formGroups.forEach(function (formGroup) {
                formGroup.style.display = 'none';
            });

            ur.forEach(function (ur) {
                ur.style.display = 'none';
            });

            ar.forEach(function (ar) {
                ar.style.display = 'none';
            });
        });
    </script>


    <script>
        function isiTanggal() {
            var tanggalString = document.getElementById("tanggalString1").value;
            var idEmployee = document.getElementById("idEmployee").value;

            if(tanggalString == ''){
                // te.forEach(function (te) {
                //     te.style.display = 'none';
                // });
                // su.forEach(function (su) {
                //     su.style.display = 'none';
                // });
                // ar.forEach(function (ar) {
                //     ar.style.display = 'none';
                // });
                $(".te").hide();
                $(".su").hide();
                $(".ar").hide();
                $(".timepicker").hide();
            }else if(tanggalString.length < 10) {
                // te.forEach(function (te) {
                //     te.style.display = 'none';
                // });
                // su.forEach(function (su) {
                //     su.style.display = 'none';
                // });
                // ar.forEach(function (ar) {
                //     ar.style.display = 'none';
                // });
                $(".te").hide();
                $(".su").hide();
                $(".ar").hide();
                $(".timepicker").hide();
            }else{
                const url = '/api/overtime/cek_shift?tanggal='+tanggalString+'&employee='+idEmployee;
                $.getJSON(url, function(data){

                    document.getElementById("tanggalString").setAttribute('value', tanggalString);
                    $(".ts").html(tanggalString);
                    var display = `Status: ${data.status}<br>
                                                    Your shift on ${data.shiftIn} until ${data.shiftOut}`

                    var display2 = `Status: ${data.keterangan}, Hari Libur<br>`
                    if(data.status == 'ON'){
                        $(".ar").html(display);
                        $(".timepicker").show();
                        $(".input-group-addon").show();
                        $(".te").show();
                        $(".ar").show();
                        $(".ur").hide();
                        $(".su").show();
                        $(".su").enabled();

                        // te.forEach(function (te) {
                        //     te.style.display = '';
                        // });
                        // su.forEach(function (su) {
                        //     su.style.display = '';
                        // });
                        // ar.forEach(function (ar) {
                        //     ar.style.display = '';
                        // });
                        // ur.forEach(function (ur) {
                        //     ur.style.display = 'none';
                        // });

                    }else{
                        $(".ar").html(display2);
                        $(".timepicker").hide();
                        $(".input-group-addon").hide();
                        $(".te").hide();
                        $(".su").hide();
                        $(".ar").show();
                        $(".ur").hide();
                        $(".su").disabled();

                        // te.forEach(function (te) {
                        //     te.style.display = 'none';
                        // });
                        // su.forEach(function (su) {
                        //     su.style.display = 'none';
                        // });
                        // ar.forEach(function (ar) {
                        //     ar.style.display = 'none';
                        // });
                        // ur.forEach(function (ur) {
                        //     ur.style.display = '';
                        // });
                    }

                });

            }

            // document.getElementById("isiTanggalOvertimeString").setAttribute('value', tanggalString);
        }
    </script>
</main>
</body>
</html>



<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Attendance Request</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Attendance Request
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Attendance Request</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">

        <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Attendance Request</h3>
                    <h3 class="box-title" th:text="${employes.fullName}">Ayah dari</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form class="form-horizontal" th:action="@{/request/attendance/update(employes=${employes.id})}" th:object="${attendanceRequest}" method="post" enctype="multipart/form-data">
                    <div class="box-body">


                        <!--                        <div class="form-group">-->
                        <!--                            <label for="position" class="col-sm-2 control-label">Jenjang:</label>-->

                        <!--                            <div class="col-sm-10">-->
                        <!--                                <select class="form-control select2" name="position" th:field="*{position}" id="position" style="width: 100%;">-->
                        <!--                                    <option th:each="data : ${listPosition}"-->
                        <!--                                            th:text="${data.positionCode + ' - ' + data.positionName}"-->
                        <!--                                            th:value="${data.id}">sdasd</option>-->
                        <!--                                </select>-->
                        <!--                            </div>-->
                        <!--                        </div>-->

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Tanggal:</label>
                            <div class="col-sm-10">
                                <div class="input-group date">
                                    <div class="input-group-addon">
                                        <i class="fa fa-calendar"></i>
                                    </div>
                                    <input type="text" class="form-control pull-right" id="tanggalString" th:field="*{tanggalString}" name="tanggalString" placeholder="dd-mmmm-yyyy">
                                </div>
                            </div>
                        </div>

                        <!--                        <div class="form-group">-->
                        <!--                            <label for="jamMasuk" class="col-sm-2 control-label">Masuk</label>-->

                        <!--                            <div class="col-sm-10">-->
                        <!--                                <input type="text" class="form-control" th:field="*{jamMasuk}" name="jamMasuk" id="jamMasuk" placeholder="00:00">-->
                        <!--                                <p th:if="${#fields.hasErrors('jamMasuk')}" th:errors="*{jamMasuk}" class="text-danger"> Mata Anggaran Error</p>-->
                        <!--                            </div>-->
                        <!--                        </div>-->

                        <div class="form-group">
                            <label for="jamMasukString" class="col-sm-2 control-label">Masuk</label>

                            <div class="col-sm-10">
                                <div class="input-group">
                                    <input type="text" class="form-control timepicker" th:field="*{jamMasukString}" name="jamMasukString" id="jamMasukString">

                                    <div class="input-group-addon">
                                        <i class="fa fa-clock-o"></i>
                                    </div>
                                </div>
                            </div>
                            <!-- /.input group -->
                        </div>

                        <!--                        <div class="form-group">-->
                        <!--                            <label for="jamKeluar" class="col-sm-2 control-label">Keluar</label>-->

                        <!--                            <div class="col-sm-10">-->
                        <!--                                <input type="text" class="form-control" th:field="*{jamKeluar}" name="jamKeluar" id="jamKeluar" placeholder="00:00">-->
                        <!--                                <p th:if="${#fields.hasErrors('jamKeluar')}" th:errors="*{jamKeluar}" class="text-danger"> Mata Anggaran Error</p>-->
                        <!--                            </div>-->
                        <!--                        </div>-->

                        <div class="form-group">
                            <label for="jamKeluarString" class="col-sm-2 control-label">Keluar</label>

                            <div class="col-sm-10">
                                <div class="input-group">
                                    <input type="text" class="form-control timepicker" th:field="*{jamKeluarString}" name="jamKeluarString" id="jamKeluarString">

                                    <div class="input-group-addon">
                                        <i class="fa fa-clock-o"></i>
                                    </div>
                                </div>
                            </div>
                            <!-- /.input group -->
                        </div>

                        <div class="form-group">
                            <label for="keterangan" class="col-sm-2 control-label">Desciptions:</label>
                            <div class="col-sm-10">
                                <textarea class="form-control" th:field="*{keterangan}" name="keterangan" id="keterangan" rows="3" placeholder="Descriptions"></textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="fileUpload" class="col-sm-2 control-label">Compulsory to Upload the Evidence:</label>

                            <div class="col-sm-10">
                                <input type="file" name="fileUpload" id="fileUpload" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps" required>

                                <p class="help-block">Compulsory to Upload the Evidence.</p>
                            </div>
                        </div>

                        <input type="hidden" name="id" th:field="*{id}">
                        <input type="hidden" name="file" th:field="*{file}">

                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">

                        <a th:href="@{/request/attendance}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>


</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalString').datepicker({
                autoclose: true,
                format: 'dd-mm-yyyy'
            })

            $('#endDateString').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>